<?php
/**
 * @package	HikaShop for Joomla!
 * @version	2.2.1
 * @author	hikashop.com
 * @copyright	(C) 2010-2013 HIKARI SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>	<span class="hikashop_product_price_full">
	<?php
	// keeperprancis
	if (!isset($this->row->product_subscription_id)) {
	if(empty($this->row->prices)){
		echo JText::_('FREE_PRICE');
	}else{
		$first=true;
		echo JText::_('PRICE_BEGINNING');
		foreach($this->row->prices as $price){
			if($first)$first=false;
			else echo JText::_('PRICE_SEPARATOR');
			if(!empty($this->unit) && isset($price->unit_price)){
				$price =& $price->unit_price;
			}
			if(!isset($price->price_currency_id))$price->price_currency_id = hikashop_getCurrency();
			echo '<span class="hikashop_product_price">';
			// menampilkan harga pada cart
			if($this->params->get('price_with_tax')){
				echo $this->currencyHelper->format(@$price->price_value_with_tax,$price->price_currency_id);
			}
			if($this->params->get('price_with_tax')==2){
				echo JText::_('PRICE_BEFORE_TAX');
			}
			if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
				echo $this->currencyHelper->format(@$price->price_value,$price->price_currency_id);
			}
			if($this->params->get('price_with_tax')==2){
				echo JText::_('PRICE_AFTER_TAX');
			}
			if($this->params->get('show_original_price','-1')=='-1'){
				$config =& hikashop_config();
				$defaultParams = $config->get('default_params');
				$this->params->set('show_original_price',$defaultParams['show_original_price']);
			}
			if($this->params->get('show_original_price') && !empty($price->price_orig_value)){
				echo JText::_('PRICE_BEFORE_ORIG');
				if($this->params->get('price_with_tax')){
					echo $this->currencyHelper->format($price->price_orig_value_with_tax,$price->price_orig_currency_id);
				}
				if($this->params->get('price_with_tax')==2){
					echo JText::_('PRICE_BEFORE_TAX');
				}
				if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
					echo $this->currencyHelper->format($price->price_orig_value,$price->price_orig_currency_id);
				}
				if($this->params->get('price_with_tax')==2){
					echo JText::_('PRICE_AFTER_TAX');
				}
				echo JText::_('PRICE_AFTER_ORIG');
			}
			echo '</span> ';
			if(!empty($this->row->discount)){
				if($this->params->get('show_discount',3)==3){
					$config =& hikashop_config();
					$defaultParams = $config->get('default_params');
					$this->params->set('show_discount',$defaultParams['show_discount']);
				}
				if($this->params->get('show_discount')==1){
					echo '<span class="hikashop_product_discount">'.JText::_('PRICE_DISCOUNT_START');
					if(bccomp($this->row->discount->discount_flat_amount,0,5)!==0){
						echo $this->currencyHelper->format(-1*$this->row->discount->discount_flat_amount,$price->price_currency_id);
					}else{
						echo -1*$this->row->discount->discount_percent_amount.'%';
					}
					echo JText::_('PRICE_DISCOUNT_END').'</span>';
				}elseif($this->params->get('show_discount')==2){
					echo '<span class="hikashop_product_price_before_discount">'.JText::_('PRICE_DISCOUNT_START');
					if($this->params->get('price_with_tax')){
						echo $this->currencyHelper->format($price->price_value_without_discount_with_tax,$price->price_currency_id);
					}
					if($this->params->get('price_with_tax')==2){
						echo JText::_('PRICE_BEFORE_TAX');
					}
					if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
						echo $this->currencyHelper->format($price->price_value_without_discount,$price->price_currency_id);
					}
					if($this->params->get('price_with_tax')==2){
						echo JText::_('PRICE_AFTER_TAX');
					}
					if($this->params->get('show_original_price') && !empty($price->price_orig_value_without_discount_with_tax)){
						echo JText::_('PRICE_BEFORE_ORIG');
						if($this->params->get('price_with_tax')){
							echo $this->currencyHelper->format($price->price_orig_value_without_discount_with_tax,$price->price_orig_currency_id);
						}
						if($this->params->get('price_with_tax')==2){
							echo JText::_('PRICE_BEFORE_TAX');
						}
						if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
							echo $this->currencyHelper->format($price->price_orig_value_without_discount,$price->price_orig_currency_id);
						}
						if($this->params->get('price_with_tax')==2){
							echo JText::_('PRICE_AFTER_TAX');
						}
						echo JText::_('PRICE_AFTER_ORIG');
					}
					echo JText::_('PRICE_DISCOUNT_END').'</span>';
				}
			}
		}
		echo JText::_('PRICE_END');
	}
	} else {
	if (($this->row->product_subscription_id>0) && ($this->row->cart_product_quantity>0)) {
		jimport('joomla.application.component.helper');
		$akeeba_currency_id = JComponentHelper::getParams('com_akeebasubs')->get('currency');
		$tax = JComponentHelper::getParams('com_akeebasubs')->get('tax');
		$db =& JFactory::getDBO();
		$query = "SELECT currency_id FROM `#__hikashop_currency` WHERE currency_code = '".$akeeba_currency_id."' ORDER BY currency_code;";
		$db->setQuery($query);
		$result = $db->loadResult();

		$query2 = "SELECT taxrate as harga FROM `#__akeebasubs_taxrules` WHERE akeebasubs_level_id IN ('0', '".$this->row->product_subscription_id."') AND enabled = '1' ORDER BY akeebasubs_level_id DESC;";
		$db->setQuery($query2);
		$taxrate = $db->loadResult();
		if ($taxrate) {
			$tax = $taxrate/100;
		} else {
			$tax = JComponentHelper::getParams('com_akeebasubs')->get('vatrate')/100;
		}
		$user_id = JFactory::getUser()->id;		
		$subsrelation = false;
    $query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' AND user_id = '".$user_id."' AND state = 'C' ORDER BY akeebasubs_level_id;";
    $db->setQuery($query3);
	$enabled = $db->loadResult();
    $query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' AND user_id = '".$user_id."' AND state = 'C' ORDER BY akeebasubs_level_id;";
    $db->setQuery($query3);
    $db->query();
    $nbrows = $db->getNumRows();    
    //$userid = $db->loadResult();
    if ($nbrows>0) {
		if ($enabled == '1') {
			$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$this->row->product_subscription_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
			$db->setQuery($query3);
			$db->query();
			$nbrelations = $db->getNumRows();
			if ($nbrelations>0) {
				$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult();// + ($db->loadResult()*$tax);
				$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$this->row->product_subscription_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
				$db->setQuery($query3);
				$relations = $db->loadRow();
				if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
					$list = $list - ($list * ($relations[5]/100));
				} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
					$list = $list - $relations[5];
				}
				$list = $list + ($list * $tax);
				$subsrelation = true;
			} else {
				$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult();// + ($db->loadResult()*$tax);
			}
		} else {
			$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
			$db->setQuery($query2);
			$list = $db->loadResult();// + ($db->loadResult()*$tax);
		}
    } else {
		$query3 = "SELECT akeebasubs_level_id FROM `#__akeebasubs_subscriptions` WHERE user_id = '".$user_id."' AND enabled = '1' AND state = 'C' ORDER BY akeebasubs_level_id;";
		$db->setQuery($query3);
		$akeebasubs_level_id = $db->loadResult();
		if ($akeebasubs_level_id) {
			$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$akeebasubs_level_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
			$db->setQuery($query3);
			$db->query();
			$nbrelations = $db->getNumRows();
			if ($nbrelations>0) {
				$query2 = "SELECT signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$signupfee = $db->loadResult();// + ($db->loadResult()*$tax);
				$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult();// + ($db->loadResult()*$tax);
				$query2 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$akeebasubs_level_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
				$db->setQuery($query2);
				$relations = $db->loadRow();
				if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
					$list = ($list+$signupfee) - ($list * ($relations[5]/100));
				} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
					$list = ($list+$signupfee) - $relations[5];
				}
				$list = $list + ($list * $tax);
				$subsrelation = true;
			} else {
				$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult();// + ($db->loadResult()*$tax);
			}
		} else {
			$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
			$db->setQuery($query2);
			$list = $db->loadResult();// + ($db->loadResult()*$tax);
		}
    }    
	if ($subsrelation == false) {
		$session =& JFactory::getSession();
		$foo = $session->get( 'couponsubs'.$this->row->product_id, '' );
		if ($foo!='') {
			$query = "SELECT * FROM `#__akeebasubs_coupons` WHERE `#__akeebasubs_coupons`.coupon = ".$db->quote($foo);
			$db->setQuery($query);
			$row = $db->loadRow();
			$discount = 0;
			if ($row[13]=='value') {
				$list = $list - $row[14];
			} else if ($row[13]=='percent') {
				$list = $list - ($list*($row[14]/100));
			} else {
			}
		}
		$list = $list + ($list * $tax);
	}
		echo '<span class="hikashop_product_price">';
		// untuk menampilkan harga pada listing_div.php
		echo $this->currencyHelper->format($list, $result);
		echo '</span>';
	} else {
	// end of keeperprancis
	
	if(empty($this->row->prices)){
		echo JText::_('FREE_PRICE');
	}else{
		$first=true;
		echo JText::_('PRICE_BEGINNING');
		foreach($this->row->prices as $price){
			if($first)$first=false;
			else echo JText::_('PRICE_SEPARATOR');
			if(!empty($this->unit) && isset($price->unit_price)){
				$price =& $price->unit_price;
			}
			if(!isset($price->price_currency_id))$price->price_currency_id = hikashop_getCurrency();
			echo '<span class="hikashop_product_price">';
			// menampilkan harga pada cart
			if($this->params->get('price_with_tax')){
				echo $this->currencyHelper->format(@$price->price_value_with_tax,$price->price_currency_id);
			}
			if($this->params->get('price_with_tax')==2){
				echo JText::_('PRICE_BEFORE_TAX');
			}
			if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
				echo $this->currencyHelper->format(@$price->price_value,$price->price_currency_id);
			}
			if($this->params->get('price_with_tax')==2){
				echo JText::_('PRICE_AFTER_TAX');
			}
			if($this->params->get('show_original_price','-1')=='-1'){
				$config =& hikashop_config();
				$defaultParams = $config->get('default_params');
				$this->params->set('show_original_price',$defaultParams['show_original_price']);
			}
			if($this->params->get('show_original_price') && !empty($price->price_orig_value)){
				echo JText::_('PRICE_BEFORE_ORIG');
				if($this->params->get('price_with_tax')){
					echo $this->currencyHelper->format($price->price_orig_value_with_tax,$price->price_orig_currency_id);
				}
				if($this->params->get('price_with_tax')==2){
					echo JText::_('PRICE_BEFORE_TAX');
				}
				if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
					echo $this->currencyHelper->format($price->price_orig_value,$price->price_orig_currency_id);
				}
				if($this->params->get('price_with_tax')==2){
					echo JText::_('PRICE_AFTER_TAX');
				}
				echo JText::_('PRICE_AFTER_ORIG');
			}
			echo '</span> ';
			if(!empty($this->row->discount)){
				if($this->params->get('show_discount',3)==3){
					$config =& hikashop_config();
					$defaultParams = $config->get('default_params');
					$this->params->set('show_discount',$defaultParams['show_discount']);
				}
				if($this->params->get('show_discount')==1){
					echo '<span class="hikashop_product_discount">'.JText::_('PRICE_DISCOUNT_START');
					if(bccomp($this->row->discount->discount_flat_amount,0,5)!==0){
						echo $this->currencyHelper->format(-1*$this->row->discount->discount_flat_amount,$price->price_currency_id);
					}else{
						echo -1*$this->row->discount->discount_percent_amount.'%';
					}
					echo JText::_('PRICE_DISCOUNT_END').'</span>';
				}elseif($this->params->get('show_discount')==2){
					echo '<span class="hikashop_product_price_before_discount">'.JText::_('PRICE_DISCOUNT_START');
					if($this->params->get('price_with_tax')){
						echo $this->currencyHelper->format($price->price_value_without_discount_with_tax,$price->price_currency_id);
					}
					if($this->params->get('price_with_tax')==2){
						echo JText::_('PRICE_BEFORE_TAX');
					}
					if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
						echo $this->currencyHelper->format($price->price_value_without_discount,$price->price_currency_id);
					}
					if($this->params->get('price_with_tax')==2){
						echo JText::_('PRICE_AFTER_TAX');
					}
					if($this->params->get('show_original_price') && !empty($price->price_orig_value_without_discount_with_tax)){
						echo JText::_('PRICE_BEFORE_ORIG');
						if($this->params->get('price_with_tax')){
							echo $this->currencyHelper->format($price->price_orig_value_without_discount_with_tax,$price->price_orig_currency_id);
						}
						if($this->params->get('price_with_tax')==2){
							echo JText::_('PRICE_BEFORE_TAX');
						}
						if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
							echo $this->currencyHelper->format($price->price_orig_value_without_discount,$price->price_orig_currency_id);
						}
						if($this->params->get('price_with_tax')==2){
							echo JText::_('PRICE_AFTER_TAX');
						}
						echo JText::_('PRICE_AFTER_ORIG');
					}
					echo JText::_('PRICE_DISCOUNT_END').'</span>';
				}
			}
		}
		echo JText::_('PRICE_END');
	}
	}
	}
	?></span>
