<?php
/**
 * @package  HikaShop for Joomla!
 * @version  2.2.1
 * @author  hikashop.com
 * @copyright  (C) 2010-2013 HIKARI SOFTWARE. All rights reserved.
 * @license  GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php
$class ='';
if(!empty($this->row->prices) && count($this->row->prices)>1){
  $class = ' hikashop_product_several_prices';
}
//if ($this->row->product_subscription_id==0) {

if(isset($this->element->main->product_msrp) && !(@$this->row->product_msrp > 0.0) )
  $this->row->product_msrp = $this->element->main->product_msrp;
if(isset($this->row->product_msrp) && @$this->row->product_msrp > 0.0 && JRequest::getCmd('layout') == 'show' && $this->params->get('from_module','') == ''){ ?>
  <span class="hikashop_product_msrp_price hikashop_product_price_full">
  <?php
    echo JText::_('PRODUCT_MSRP_BEFORE');
  ?>
    <span class="hikashop_product_price">
    <?php
      $mainCurr = $this->currencyHelper->mainCurrency();
      $app = JFactory::getApplication();
      $currCurrency = $app->getUserState( HIKASHOP_COMPONENT.'.currency_id', $mainCurr );
      $msrpCurrencied = $this->currencyHelper->convertUniquePrice($this->row->product_msrp,$mainCurr,$currCurrency);
      if($msrpCurrencied == $this->row->product_msrp)
        echo $this->currencyHelper->format($this->row->product_msrp,$mainCurr);
      else
        echo $this->currencyHelper->format($msrpCurrencied,$currCurrency).' ('.$this->currencyHelper->format($this->row->product_msrp,$mainCurr).')';
    ?>
    </span>
  </span>
<?php }
//}
?>

  <span class="hikashop_product_price_full<?php echo $class; ?>">
  <?php
  // keeperprancis
  if (!isset($this->row->product_subscription_id)) {
  if(empty($this->row->prices)){
    echo JText::_('FREE_PRICE');
  }else{
    $first=true;
    echo JText::_('PRICE_BEGINNING');
    $i=0;

    if(isset($this->row->product_msrp) && @$this->row->product_msrp > 0.0 && JRequest::getCmd('layout') == 'show' && $this->params->get('from_module','') == '')
      echo JText::_('PRODUCT_MSRP_AFTER').' ';

    if($this->params->get('price_with_tax',3)==3){
      $config =& hikashop_config();
      $this->params->set('price_with_tax',$config->get('price_with_tax'));
    }
    foreach($this->row->prices as $price){
      if($first)$first=false;
      else echo JText::_('PRICE_SEPARATOR');
      $start = JText::_('PRICE_BEGINNING_'.$i);
      if($start!='PRICE_BEGINNING_'.$i){
        echo $start;
      }
      if(isset($price->price_min_quantity) && empty($this->cart_product_price) && $price->price_min_quantity>1){
        echo '<span class="hikashop_product_price_with_min_qty hikashop_product_price_for_at_least_'.$price->price_min_quantity.'">';
      }

      $classes = array('hikashop_product_price hikashop_product_price_'.$i);
      if(!empty($this->row->discount)){
        $classes[]='hikashop_product_price_with_discount';
      }

      if(!empty($this->row->discount)){
        if($this->params->get('show_discount',3)==3){
          $config =& hikashop_config();
          $this->params->set('show_discount',$config->get('show_discount'));
        }
        if($this->params->get('show_discount')==1){
          echo '<span class="hikashop_product_discount">'.JText::_('PRICE_DISCOUNT_START');
          if(bccomp($this->row->discount->discount_flat_amount,0,5)!==0){
            echo $this->currencyHelper->format(-1*$this->row->discount->discount_flat_amount,$price->price_currency_id);
          }elseif(bccomp($this->row->discount->discount_percent_amount,0,5)!==0){
            echo -1*$this->row->discount->discount_percent_amount.'%';
          }
          echo JText::_('PRICE_DISCOUNT_END').'</span>';
        }elseif($this->params->get('show_discount')==2){
          echo '<span class="hikashop_product_price_before_discount">'.JText::_('PRICE_DISCOUNT_START');
          if($this->params->get('price_with_tax')){
            echo $this->currencyHelper->format($price->price_value_without_discount_with_tax,$price->price_currency_id);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_BEFORE_TAX');
          }
          if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
            echo $this->currencyHelper->format($price->price_value_without_discount,$price->price_currency_id);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_AFTER_TAX');
          }
          if($this->params->get('show_original_price','-1')=='-1'){
            $config =& hikashop_config();
            $this->params->set('show_original_price',$config->get('show_original_price'));
          }
          if($this->params->get('show_original_price') && !empty($price->price_orig_value_without_discount_with_tax)){
            echo JText::_('PRICE_BEFORE_ORIG');
            if($this->params->get('price_with_tax')){
              echo $this->currencyHelper->format($price->price_orig_value_without_discount_with_tax,$price->price_orig_currency_id);
            }
            if($this->params->get('price_with_tax')==2){
              echo JText::_('PRICE_BEFORE_TAX');
            }
            if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax') && !empty($price->price_orig_value_without_discount)){
              echo $this->currencyHelper->format($price->price_orig_value_without_discount,$price->price_orig_currency_id);
            }
            if($this->params->get('price_with_tax')==2){
              echo JText::_('PRICE_AFTER_TAX');
            }
            echo JText::_('PRICE_AFTER_ORIG');
          }
          echo JText::_('PRICE_DISCOUNT_END').'</span>';
        }elseif($this->params->get('show_discount')==3){

        }
      }

      echo '<span class="'.implode(' ',$classes).'">';
      if($this->params->get('price_with_tax')){
        // keeperprancis untuk menampilkan harga pada listing_div.php
        echo $this->currencyHelper->format(@$price->price_value_with_tax,$price->price_currency_id);
      }
      if($this->params->get('price_with_tax')==2){
        echo JText::_('PRICE_BEFORE_TAX');
      }
      if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
        echo $this->currencyHelper->format($price->price_value,$price->price_currency_id);
      }
      if($this->params->get('price_with_tax')==2){
        echo JText::_('PRICE_AFTER_TAX');
      }
      if($this->params->get('show_original_price','-1')=='-1'){
        $config =& hikashop_config();
        $this->params->set('show_original_price',$config->get('show_original_price'));
      }
      if($this->params->get('show_original_price') && !empty($price->price_orig_value)){
        echo JText::_('PRICE_BEFORE_ORIG');
        if($this->params->get('price_with_tax')){
          echo $this->currencyHelper->format($price->price_orig_value_with_tax,$price->price_orig_currency_id);
        }
        if($this->params->get('price_with_tax')==2){
          echo JText::_('PRICE_BEFORE_TAX');
        }
        if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
          echo $this->currencyHelper->format($price->price_orig_value,$price->price_orig_currency_id);
        }
        if($this->params->get('price_with_tax')==2){
          echo JText::_('PRICE_AFTER_TAX');
        }
        echo JText::_('PRICE_AFTER_ORIG');
      }
      echo '</span> ';
      if(isset($price->price_min_quantity) && empty($this->cart_product_price) && $this->params->get('per_unit',1)){
        if($price->price_min_quantity>1){
          echo JText::sprintf('PER_UNIT_AT_LEAST_X_BOUGHT',$price->price_min_quantity);
        }else{
          echo JText::_('PER_UNIT');
        }
      }
      if($this->params->get('show_price_weight')){
        if(!empty($this->element->product_id) && isset($this->row->product_weight) && bccomp($this->row->product_weight,0,3)){

          echo JText::_('PRICE_SEPARATOR').'<span class="hikashop_product_price_per_weight_unit">';
          if($this->params->get('price_with_tax')){
            $weight_price = $price->price_value_with_tax / $this->row->product_weight;
            echo $this->currencyHelper->format($weight_price,$price->price_currency_id).' / '.JText::_($this->row->product_weight_unit);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_BEFORE_TAX');
          }
          if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
            $weight_price = $price->price_value / $this->row->product_weight;
            echo $this->currencyHelper->format($weight_price,$price->price_currency_id).' / '.JText::_($this->row->product_weight_unit);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_AFTER_TAX');
          }
          echo '</span>';
        }
      }
      if(isset($price->price_min_quantity) && empty($this->cart_product_price) && $price->price_min_quantity>1){
        echo '</span>';
      }
      $end = JText::_('PRICE_ENDING_'.$i);
      if($end!='PRICE_ENDING_'.$i){
        echo $end;
      }
      $i++;
    }
    echo JText::_('PRICE_END');
  }
  } else {
  if ($this->row->product_subscription_id>0) {
    $db =& JFactory::getDBO();
    jimport('joomla.application.component.helper');
    $akeeba_currency_id = JComponentHelper::getParams('com_akeebasubs')->get('currency');
    $query = "SELECT currency_id FROM `#__hikashop_currency` WHERE currency_code = '".$akeeba_currency_id."' ORDER BY currency_code;";
    $db->setQuery($query);
    $result = $db->loadResult();

    $query2 = "SELECT taxrate as harga FROM `#__akeebasubs_taxrules` WHERE akeebasubs_level_id IN ('0', '".$this->row->product_subscription_id."') AND enabled = '1' ORDER BY akeebasubs_level_id DESC;";
    $db->setQuery($query2);
    $taxrate = $db->loadResult();
    if ($taxrate) {
      $tax = $taxrate/100;
    } else {
      $tax = JComponentHelper::getParams('com_akeebasubs')->get('vatrate')/100;
    }
    $user_id = JFactory::getUser()->id;    
    $query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' AND user_id = '".$user_id."'  AND state = 'C' ORDER BY akeebasubs_level_id;";
    $db->setQuery($query3);
	$enabled = $db->loadResult();
    $query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' AND user_id = '".$user_id."'  AND state = 'C' ORDER BY akeebasubs_level_id;";
    $db->setQuery($query3);
    $db->query();
    $nbrows = $db->getNumRows();    
    //$userid = $db->loadResult();
    if ($nbrows>0) {
		if ($enabled == '1') {
			$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$this->row->product_subscription_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
			$db->setQuery($query3);
			$db->query();
			$nbrelations = $db->getNumRows();
			if ($nbrelations>0) {
				$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult();// + ($db->loadResult()*$tax);
				$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$this->row->product_subscription_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
				$db->setQuery($query3);
				$relations = $db->loadRow();
				if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
					$list = $list - ($list * ($relations[5]/100));
				} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
					$list = $list - $relations[5];
				}
				$list = $list + ($list * $tax);
			} else {
				$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult() + ($db->loadResult()*$tax);
			}
		} else {
			$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
			$db->setQuery($query2);
			$list = $db->loadResult() + ($db->loadResult()*$tax);
		}
    } else {
		$query3 = "SELECT akeebasubs_level_id FROM `#__akeebasubs_subscriptions` WHERE user_id = '".$user_id."' AND enabled = '1' AND state = 'C' ORDER BY akeebasubs_level_id;";
		$db->setQuery($query3);
		$akeebasubs_level_id = $db->loadResult();
		if ($akeebasubs_level_id) {
			$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$akeebasubs_level_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
			$db->setQuery($query3);
			$db->query();
			$nbrelations = $db->getNumRows();
			if ($nbrelations>0) {
				$query2 = "SELECT signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$signupfee = $db->loadResult();// + ($db->loadResult()*$tax);
				$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult();// + ($db->loadResult()*$tax);
				$query2 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".$akeebasubs_level_id."' AND target_level_id ='".$this->row->product_subscription_id."' AND enabled = '1';";
				$db->setQuery($query2);
				$relations = $db->loadRow();
				if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
					$list = ($list+$signupfee) - ($list * ($relations[5]/100));
				} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
					$list = ($list+$signupfee) - $relations[5];
				}
				$list = $list + ($list * $tax);
			} else {
				$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
				$db->setQuery($query2);
				$list = $db->loadResult() + ($db->loadResult()*$tax);
			}
		} else {
			$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".$this->row->product_subscription_id."' ORDER BY akeebasubs_level_id;";
			$db->setQuery($query2);
			$list = $db->loadResult() + ($db->loadResult()*$tax);
		}
    }    
    echo '<span class="hikashop_product_price hikashop_product_price_0">';
    // untuk menampilkan harga pada listing_div.php
    echo $this->currencyHelper->format($list, $result);
    echo '</span>';
  } else {
  // end of keeperprancis
  if(empty($this->row->prices)){
    echo JText::_('FREE_PRICE');
  }else{
    $first=true;
    echo JText::_('PRICE_BEGINNING');
    $i=0;

    if(isset($this->row->product_msrp) && @$this->row->product_msrp > 0.0 && JRequest::getCmd('layout') == 'show' && $this->params->get('from_module','') == '')
      echo JText::_('PRODUCT_MSRP_AFTER').' ';

    if($this->params->get('price_with_tax',3)==3){
      $config =& hikashop_config();
      $this->params->set('price_with_tax',$config->get('price_with_tax'));
    }
    foreach($this->row->prices as $price){
      if($first)$first=false;
      else echo JText::_('PRICE_SEPARATOR');
      $start = JText::_('PRICE_BEGINNING_'.$i);
      if($start!='PRICE_BEGINNING_'.$i){
        echo $start;
      }
      if(isset($price->price_min_quantity) && empty($this->cart_product_price) && $price->price_min_quantity>1){
        echo '<span class="hikashop_product_price_with_min_qty hikashop_product_price_for_at_least_'.$price->price_min_quantity.'">';
      }

      $classes = array('hikashop_product_price hikashop_product_price_'.$i);
      if(!empty($this->row->discount)){
        $classes[]='hikashop_product_price_with_discount';
      }

      if(!empty($this->row->discount)){
        if($this->params->get('show_discount',3)==3){
          $config =& hikashop_config();
          $this->params->set('show_discount',$config->get('show_discount'));
        }
        if($this->params->get('show_discount')==1){
          echo '<span class="hikashop_product_discount">'.JText::_('PRICE_DISCOUNT_START');
          if(bccomp($this->row->discount->discount_flat_amount,0,5)!==0){
            echo $this->currencyHelper->format(-1*$this->row->discount->discount_flat_amount,$price->price_currency_id);
          }elseif(bccomp($this->row->discount->discount_percent_amount,0,5)!==0){
            echo -1*$this->row->discount->discount_percent_amount.'%';
          }
          echo JText::_('PRICE_DISCOUNT_END').'</span>';
        }elseif($this->params->get('show_discount')==2){
          echo '<span class="hikashop_product_price_before_discount">'.JText::_('PRICE_DISCOUNT_START');
          if($this->params->get('price_with_tax')){
            echo $this->currencyHelper->format($price->price_value_without_discount_with_tax,$price->price_currency_id);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_BEFORE_TAX');
          }
          if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
            echo $this->currencyHelper->format($price->price_value_without_discount,$price->price_currency_id);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_AFTER_TAX');
          }
          if($this->params->get('show_original_price','-1')=='-1'){
            $config =& hikashop_config();
            $this->params->set('show_original_price',$config->get('show_original_price'));
          }
          if($this->params->get('show_original_price') && !empty($price->price_orig_value_without_discount_with_tax)){
            echo JText::_('PRICE_BEFORE_ORIG');
            if($this->params->get('price_with_tax')){
              echo $this->currencyHelper->format($price->price_orig_value_without_discount_with_tax,$price->price_orig_currency_id);
            }
            if($this->params->get('price_with_tax')==2){
              echo JText::_('PRICE_BEFORE_TAX');
            }
            if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax') && !empty($price->price_orig_value_without_discount)){
              echo $this->currencyHelper->format($price->price_orig_value_without_discount,$price->price_orig_currency_id);
            }
            if($this->params->get('price_with_tax')==2){
              echo JText::_('PRICE_AFTER_TAX');
            }
            echo JText::_('PRICE_AFTER_ORIG');
          }
          echo JText::_('PRICE_DISCOUNT_END').'</span>';
        }elseif($this->params->get('show_discount')==3){

        }
      }

      echo '<span class="'.implode(' ',$classes).'">';
      if($this->params->get('price_with_tax')){
        // keeperprancis untuk menampilkan harga pada listing_div.php
        echo $this->currencyHelper->format(@$price->price_value_with_tax,$price->price_currency_id);
      }
      if($this->params->get('price_with_tax')==2){
        echo JText::_('PRICE_BEFORE_TAX');
      }
      if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
        echo $this->currencyHelper->format($price->price_value,$price->price_currency_id);
      }
      if($this->params->get('price_with_tax')==2){
        echo JText::_('PRICE_AFTER_TAX');
      }
      if($this->params->get('show_original_price','-1')=='-1'){
        $config =& hikashop_config();
        $this->params->set('show_original_price',$config->get('show_original_price'));
      }
      if($this->params->get('show_original_price') && !empty($price->price_orig_value)){
        echo JText::_('PRICE_BEFORE_ORIG');
        if($this->params->get('price_with_tax')){
          echo $this->currencyHelper->format($price->price_orig_value_with_tax,$price->price_orig_currency_id);
        }
        if($this->params->get('price_with_tax')==2){
          echo JText::_('PRICE_BEFORE_TAX');
        }
        if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
          echo $this->currencyHelper->format($price->price_orig_value,$price->price_orig_currency_id);
        }
        if($this->params->get('price_with_tax')==2){
          echo JText::_('PRICE_AFTER_TAX');
        }
        echo JText::_('PRICE_AFTER_ORIG');
      }
      echo '</span> ';
      if(isset($price->price_min_quantity) && empty($this->cart_product_price) && $this->params->get('per_unit',1)){
        if($price->price_min_quantity>1){
          echo JText::sprintf('PER_UNIT_AT_LEAST_X_BOUGHT',$price->price_min_quantity);
        }else{
          echo JText::_('PER_UNIT');
        }
      }
      if($this->params->get('show_price_weight')){
        if(!empty($this->element->product_id) && isset($this->row->product_weight) && bccomp($this->row->product_weight,0,3)){

          echo JText::_('PRICE_SEPARATOR').'<span class="hikashop_product_price_per_weight_unit">';
          if($this->params->get('price_with_tax')){
            $weight_price = $price->price_value_with_tax / $this->row->product_weight;
            echo $this->currencyHelper->format($weight_price,$price->price_currency_id).' / '.JText::_($this->row->product_weight_unit);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_BEFORE_TAX');
          }
          if($this->params->get('price_with_tax')==2||!$this->params->get('price_with_tax')){
            $weight_price = $price->price_value / $this->row->product_weight;
            echo $this->currencyHelper->format($weight_price,$price->price_currency_id).' / '.JText::_($this->row->product_weight_unit);
          }
          if($this->params->get('price_with_tax')==2){
            echo JText::_('PRICE_AFTER_TAX');
          }
          echo '</span>';
        }
      }
      if(isset($price->price_min_quantity) && empty($this->cart_product_price) && $price->price_min_quantity>1){
        echo '</span>';
      }
      $end = JText::_('PRICE_ENDING_'.$i);
      if($end!='PRICE_ENDING_'.$i){
        echo $end;
      }
      $i++;
    }
    echo JText::_('PRICE_END');
  }
  // keeperprancis
  }
  }
  // end of keeperprancis
  ?></span>