<?php
/**
 * @package	HikaShop for Joomla!
 * @version	2.2.1
 * @author	hikashop.com
 * @copyright	(C) 2010-2013 HIKARI SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
if(!@include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php')){ return false; }
?><?php
class plgHikashopAkeebas extends JPlugin
{
	function plgHikashopAkeebas(&$subject, $config){
		parent::__construct($subject, $config);
	}

	function onAfterOrderCreate(&$order,&$send_email){
		if(!empty($order->order_id)){
			$db = JFactory::getDBO();
			$totalsubs = 0;
			$i = 0;
			foreach($order->cart->products as $product) {
				$i = $i + 1;
				if ($product->product_subscription_id > 0) {
					$query2 = "SELECT taxrate as harga FROM `#__akeebasubs_taxrules` WHERE akeebasubs_level_id IN ('0', '".(int)$product->product_subscription_id."') AND enabled = '1' ORDER BY akeebasubs_level_id DESC;";
					$db->setQuery($query2);
					$taxrate = $db->loadResult();
					if ($taxrate) {
						$tax = $taxrate/100;
					} else {
						$tax = JComponentHelper::getParams('com_akeebasubs')->get('vatrate')/100;
					}
					$user_id = JFactory::getUser()->id;
					$subsrelation = false;
					$disc_amount = 0.00;
					$price = 0.00;

					$query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' AND user_id = '".(int)$user_id."' AND state = 'C' ORDER BY akeebasubs_level_id;";
					$db->setQuery($query3);
					$enabled = $db->loadResult();
					$nbrows = $db->getNumRows();
					//$userid = $db->loadResult();
					if ($nbrows>0) {
						if ($enabled == '1') {
							$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$product->product_subscription_id."' AND target_level_id ='".(int)$product->product_subscription_id."' AND enabled = '1';";
							$db->setQuery($query3);
						/** COMMENTED BY Xavier **
							$db->query();
						*/
							$nbrelations = $db->getNumRows();
							if ($nbrelations>0) {
								$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$result2 = $db->loadResult();// + ($db->loadResult()*$tax);
								$price = $db->loadResult();
								$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$product->product_subscription_id."' AND target_level_id ='".(int)$product->product_subscription_id."' AND enabled = '1';";
								$db->setQuery($query3);
								$relations = $db->loadRow();
								if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
									$result2 = $result2 - ($result2 * ($relations[5]/100));
									$disc_amount = ($price * ($relations[5]/100));
								} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
									$result2 = $result2 - $relations[5];
									$disc_amount = $relations[5];
								}
								$result2 = $result2 + ($result2 * $tax);
								$subsrelation = true;
							} else {
								$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$result2 = $db->loadResult();// + ($db->loadResult()*$tax);
								$price = $db->loadResult();
							}
						} else {
							$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
							$db->setQuery($query2);
							$result2 = $db->loadResult();// + ($db->loadResult()*$tax);
							$price = $db->loadResult();
						}
					} else {
						$query3 = "SELECT akeebasubs_level_id FROM `#__akeebasubs_subscriptions` WHERE user_id = '".(int)$user_id."' AND enabled = '1' AND state = 'C' ORDER BY akeebasubs_level_id;";
						$db->setQuery($query3);
						$akeebasubs_level_id = $db->loadResult();
						if ($akeebasubs_level_id) {
							$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$akeebasubs_level_id."' AND target_level_id ='".(int)$product->product_subscription_id."' AND enabled = '1';";
							$db->setQuery($query3);
							//$db->query();
							$nbrelations = $db->getNumRows();
							if ($nbrelations>0) {
								$query2 = "SELECT signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$signupfee = $db->loadResult();// + ($db->loadResult()*$tax);
								$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$result2 = $db->loadResult();// + ($db->loadResult()*$tax);
								$price = $db->loadResult();
								$query2 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$akeebasubs_level_id."' AND target_level_id ='".(int)$product->product_subscription_id."' AND enabled = '1';";
								$db->setQuery($query2);
								$relations = $db->loadRow();
								if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
									$result2 = ($result2+$signupfee) - ($result2 * ($relations[5]/100));
									$disc_amount = ($price * ($relations[5]/100));
								} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
									$result2 = ($result2+$signupfee) - $relations[5];
									$disc_amount = $relations[5];
								}
								$result2 = $result2 + ($result2 * $tax);
								$price = $price + $signupfee;
								$subsrelation = true;
							} else {
								$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$result2 = $db->loadResult();// + ($db->loadResult()*$tax);
								$price = $db->loadResult();
							}
						} else {
							$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$product->product_subscription_id."' ORDER BY akeebasubs_level_id;";
							$db->setQuery($query2);
							$result2 = $db->loadResult();// + ($db->loadResult()*$tax);
							$price = $db->loadResult();
						}
					}
					if ($subsrelation == false) {
						$session =& JFactory::getSession();
						$foo = $session->get( 'couponsubs'.$product->product_id, '' );
						if ($foo!='') {
							$query = "SELECT * FROM `#__akeebasubs_coupons` WHERE `#__akeebasubs_coupons`.coupon = ".$db->quote($foo);
							$db->setQuery($query);
							$rowz = $db->loadRow();
							$discount = 0;
							if ($rowz[13]=='value') {
								$result2 = $result2 - $rowz[14];
								$disc_amount = $rowz[14];
							} else if ($rowz[13]=='percent') {
								$result2 = $result2 - ($result2*($rowz[14]/100));
								$disc_amount = ($price*($rowz[14]/100));
							} else {
							}
							$query2 = "INSERT INTO `#__hikashop_order_product_coupon` (product_id, order_id, coupon) VALUES('".(int)$product->product_id."','".(int)$order->order_id."','".$foo."');";
							$db->setQuery($query2);
							$db->query();
							$session->set( 'couponsubs'.$product_id, '');
						}
						$result2 = $result2 + ($result2 * $tax);
					}
					$totalsubs = $totalsubs + (($product->order_product_price*$product->order_product_quantity)-($result2*$product->order_product_quantity));
					$db->setQuery("UPDATE ".hikashop_table("order_product")." SET order_product_price = '".round(($price-$disc_amount),2)."', order_product_tax = '".round(((round(($price-$disc_amount),2)) * $tax),2)."' WHERE order_id = '".(int)$order->order_id."' AND product_id = '".(int)$product->product_id."';");
					$db->query();
					//$orderProduct->order_product_price = $result2;
					$order->cart->products[$i-1]->order_product_price = round(($price-$disc_amount),2); //$result2;
					$order->cart->products[$i-1]->order_product_tax = round(((round(($price-$disc_amount),2)) * $tax),2);
				}
			}
			$total = $order->cart->full_total->prices[0]->price_value_with_tax-$totalsubs;

			$db->setQuery("UPDATE ".hikashop_table("order")." SET order_full_price = '".(float)$total."' WHERE order_id = '".(int)$order->order_id."';");
			$db->query();
			$order->cart->full_total->prices[0]->price_value_with_tax = $total;
			$order->order_full_price = $total;
		}
		//return true;
		return $this->onAfterOrderUpdate($order,$send_email);
	}

	function onAfterOrderDelete($elements){
		if(!is_array($elements)){
			$elements = array($elements);
		}
		$database = JFactory::getDBO();

		foreach($elements as $key => $val){
			$elements[$key] = $database->quote($val);
		}

		$query='DELETE FROM `#__hikashop_order_product_coupon` WHERE order_id IN ('.implode(',',$elements).')';
		$database->setQuery($query);
		$database->query();
		return true;
	}

	function onBeforeCartUpdate(&$cartClass,&$cart,$product_id,$quantity,$add,$type,$resetCartWhenUpdate,$force,&$do) {
		$app = JFactory::getApplication();
		$foo = JRequest::getVar('couponsubs', '');
		if ($foo!='') {
			$db =& JFactory::getDBO();
			$query = "SELECT * FROM `#__akeebasubs_coupons` WHERE `#__akeebasubs_coupons`.coupon = ".$db->quote($foo);
			$db->setQuery($query);
			$row = $db->loadRow();
			$valid = false;
			if ($row) {
				if ($row[15]==1) $valid = true;
				//$valid = false;
				if ($valid) {
					$query = "SELECT `#__hikashop_product`.product_id, `#__hikashop_product`.product_subscription_id, `#__akeebasubs_levels`.slug FROM `#__hikashop_product` INNER JOIN `#__akeebasubs_levels` ON `#__hikashop_product`.product_subscription_id = `#__akeebasubs_levels`.akeebasubs_level_id WHERE `#__hikashop_product`.product_id = '".(int)$product_id."';";
					$db->setQuery($query);
					$row2 = $db->loadRow();
					// Check validity period
					JLoader::import('joomla.utilities.date');
					$jFrom  = new JDate($row[4]);
					$jTo    = new JDate($row[5]);
					$jNow   = new JDate();

					$valid = ($jNow->toUnix() >= $jFrom->toUnix()) && ($jNow->toUnix() <= $jTo->toUnix());

					// Check levels list
					if($valid && !empty($row[6])) {
						$levels = explode(',', $row[6]);
						$valid  = in_array($row2[1], $levels);
					}

					// Check user
					if($valid && $row[7]) {
						$user_id = JFactory::getUser()->id;
						$valid   = $user_id == $row[7];
					}

					// Check email
					if($valid && $row[8])
					{
						$valid = JFactory::getUser()->email == $row[8];
					}

					// Check user group levels
					if ($valid && !empty($row[12])) {
						$groups  = explode(',', $row[12]);
						$ugroups = JFactory::getUser()->getAuthorisedGroups();
						$valid   = false;
						foreach($ugroups as $ugroup) {
							if(in_array($ugroup, $groups)){
								$valid = true;
								break;
							}
						}
					}

					// Check hits limit
					if($valid && $row[10]) {
						// Get the real coupon hits
						$query = "SELECT COUNT(akeebasubs_coupon_id) FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_coupon_id = '".(int)$row[0]."' AND state = 'C';";
						$db->setQuery($query);
						$row3 = $db->loadResult();
						$hits = 0;
						if ($row3) $hits = $row3;
						if($row[10] >= 0) {
							$valid = $hits < $row[10];
							if(($row[23] != $hits) || ($hits >= $row[10])) {
								$row[23] = $hits;
								$row[15] = $hits < $row[10];
								$query = "UPDATE `#__akeebasubs_coupons` SET hits = hits+1 WHERE coupon = '".$db->quote($foo)."';";
								$db->setQuery($query);
								$db->query();
							}
						}
					}

					// Check user hits limit
					if($valid && $row[11] && !JFactory::getUser()->guest) {
						$user_id = JFactory::getUser()->id;
						// How many subscriptions with a paystate of C,P for this user
						// are using this coupon code?
						// Get the real coupon hits
						$query = "SELECT COUNT(akeebasubs_coupon_id) FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_coupon_id = '".(int)$row[0]."' AND state IN('C','P') AND user_id = '".(int)$user_id."';";
						$db->setQuery($query);
						$row4 = $db->loadResult();
						$hits = 0;
						if ($row4) $hits = $row4;
						$valid = $hits < $row[11];
					}

				}
			}

			if (!$valid) {
				$msg = 'Coupon '.$foo.' is not valid'; //JText::_('COM_AKEEBASUBS_LEVEL_ERR_VALIDATIONOVERALL');
				$app->redirect($_SERVER['HTTP_REFERER'], $msg, 'error');
			} else {
				$session =& JFactory::getSession();
				$session->set( 'couponsubs'.$product_id, $foo );
			}
		}

		return true;
	}


	function onAfterOrderUpdate( &$order,&$send_email){
		JLoader::import('joomla.utilities.date');
		$db	= JFactory::getDBO();

		jimport('joomla.filesystem.file');
		$path = JPATH_LIBRARIES.'/fof/include.php';
		if(JFile::exists($path) && !defined('FOF_INCLUDED'))
			require_once $path;
		else
			$path = JPATH_LIBRARIES.'/f0f/include.php';
		if(JFile::exists($path) && !defined('F0F_INCLUDED'))
			require_once $path;

		//Order informations
		$class = hikashop_get('class.order');
		$fullOrder = $class->loadFullOrder($order->order_id, false, false);

		//For each products
		foreach($fullOrder->products as $result){
			$product_id = $result->product_id;
			//subscription_level_id from the product
			$productClass = hikashop_get('class.product');
			$product = $productClass->get($product_id);
			if(is_object($product)){
				if($product->product_type == 'variant' && $product->product_subscription_id == '0'){
					$productClass = hikashop_get('class.product');
					$product = $productClass->get($product->product_parent_id);
				}
				$level_id = $product->product_subscription_id;
			}else{
				$level_id = 0;
			}

			if($level_id != 0){
				if(class_exists('FOFModel'))
					$levels = FOFModel::getTmpInstance('Levels','AkeebasubsModel')->getItemList();
				elseif(class_exists('F0FModel'))
					$levels = F0FModel::getTmpInstance('Levels','AkeebasubsModel')->getItemList();
				else
					return false;

				$userClass = hikashop_get('class.user');
				$user = $userClass->get($fullOrder->order_user_id);
				$user_id = $user->user_cms_id;

				//Subscription duration
				foreach($levels as $level){
					if($level->akeebasubs_level_id == $level_id){
						$level_duration = $level->duration;
					}
				}

				//know if the subs is a new sub or a sub add
				$query = 'SELECT * FROM '.hikashop_table('akeebasubs_subscriptions',false).'
							WHERE state = '.$db->quote('C').'
							AND user_id = '.(int)$user_id.' AND akeebasubs_level_id = '.(int)$level_id.' ORDER BY akeebasubs_subscription_id DESC';
				$db->setQuery($query);
				$old = $db->loadObject();

				if(($order->order_status == 'confirmed' && @$this->old->order_status != 'shipped') || ($order->order_status == 'shipped' && @$this->old->order_status != 'confirmed')){ //if new or update subs
					// keeperprancis
					$query2 = "SELECT taxrate as harga FROM `#__akeebasubs_taxrules` WHERE akeebasubs_level_id = ".(int)$level_id." AND enabled = '1' ORDER BY akeebasubs_level_id DESC;";
					$db->setQuery($query2);
					$taxrate = $db->loadResult();
					if ($taxrate) {
						$tax = $taxrate/100;
						$tax2 = $taxrate;
					} else {
						$tax = JComponentHelper::getParams('com_akeebasubs')->get('vatrate')/100;
						$tax2 = JComponentHelper::getParams('com_akeebasubs')->get('vatrate');
					}
					$query2 = "SELECT user_cms_id FROM `#__hikashop_user` WHERE user_id ='".(int)$order->order_user_id."' ORDER BY user_id;";
					$db->setQuery($query2);
					$user_id = $db->loadResult();
					$subsrelation = false;
					$disc_amount = 0.00;
					$query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".(int)$level_id."' AND user_id = '".(int)$user_id."' AND state = 'C' ORDER BY akeebasubs_level_id;";
					$db->setQuery($query3);
					$enabled = $db->loadResult();
					$query3 = "SELECT enabled FROM `#__akeebasubs_subscriptions` WHERE akeebasubs_level_id ='".(int)$level_id."' AND user_id = '".(int)$user_id."' AND state = 'C' ORDER BY akeebasubs_level_id;";
					$db->setQuery($query3);
					//$db->query();
					$nbrows = $db->getNumRows();
					//$userid = $db->loadResult();
					if ($nbrows>0) {
						if ($enabled == '1') {
							$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$level_id."' AND target_level_id ='".(int)$level_id."' AND enabled = '1';";
							$db->setQuery($query3);
							//$db->query();
							$nbrelations = $db->getNumRows();
							if ($nbrelations>0) {
								$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$price = $db->loadResult();// + ($db->loadResult()*$tax);
								$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$level_id."' AND target_level_id ='".(int)$level_id."' AND enabled = '1';";
								$db->setQuery($query3);
								$relations = $db->loadRow();
								if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
									$disc_amount = ($price * ($relations[5]/100));
								} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
									$disc_amount = $relations[5];
								}
								//$price = $result2 + ($result2 * $tax);
								$subsrelation = true;
							} else {
								$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$price = $db->loadResult();// + ($db->loadResult()*$tax);
							}
						} else {
							$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
							$db->setQuery($query2);
							$price = $db->loadResult();// + ($db->loadResult()*$tax);
						}
					} else {
						$query3 = "SELECT akeebasubs_level_id FROM `#__akeebasubs_subscriptions` WHERE user_id = '".(int)$user_id."' AND enabled = '1' AND state = 'C' ORDER BY akeebasubs_level_id;";
						$db->setQuery($query3);
						$akeebasubs_level_id = $db->loadResult();
						if ($akeebasubs_level_id) {
							$query3 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$akeebasubs_level_id."' AND target_level_id ='".(int)$level_id."' AND enabled = '1';";
							$db->setQuery($query3);
							//$db->query();
							$nbrelations = $db->getNumRows();
							if ($nbrelations>0) {
								$query2 = "SELECT signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$signupfee = $db->loadResult();// + ($db->loadResult()*$tax);
								$query2 = "SELECT price as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$price = $db->loadResult();// + ($db->loadResult()*$tax);
								$query2 = "SELECT * FROM `#__akeebasubs_relations` WHERE source_level_id ='".(int)$akeebasubs_level_id."' AND target_level_id ='".(int)$level_id."' AND enabled = '1';";
								$db->setQuery($query2);
								$relations = $db->loadRow();
								if (($relations[3] == 'fixed') && ($relations[4] == 'percent')){
									$disc_amount = ($price * ($relations[5]/100));
								} else if (($relations[3] == 'fixed') && ($relations[4] == 'value')){
									$disc_amount = $relations[5];
								}
								$price = $price + $signupfee;
								$subsrelation = true;
							} else {
								$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
								$db->setQuery($query2);
								$price = $db->loadResult();// + ($db->loadResult()*$tax);
							}
						} else {
							$query2 = "SELECT price+signupfee as harga FROM `#__akeebasubs_levels` WHERE akeebasubs_level_id ='".(int)$level_id."' ORDER BY akeebasubs_level_id;";
							$db->setQuery($query2);
							$price = $db->loadResult();// + ($db->loadResult()*$tax);
						}
					}
					if ($subsrelation == false) {

						$queryy = "SELECT coupon FROM `#__hikashop_order_product_coupon` WHERE order_id = '".(int)$order->order_id."' AND product_id = '".(int)$product->product_id."';";
						$db->setQuery($queryy);
						$coupon = $db->loadResult();
						if ($coupon) {
							$query = "UPDATE `#__akeebasubs_coupons` SET hits = hits+".(int)$result->order_product_quantity." WHERE coupon = '".$db->quote($coupon)."';";
							$db->setQuery($query);
							$db->query();
							$queryz = "SELECT akeebasubs_coupon_id, type, value FROM `#__akeebasubs_coupons` WHERE coupon = '".$db->quote($coupon)."';";
							$db->setQuery($queryz);
							$coupon_ids = $db->loadRow();
							$coupon_id = 0;
							$disc_amount = 0.00;
							if ($coupon_ids) {
								$coupon_id = $coupon_ids[0];
								if ($coupon_ids[1]=='value') {
									$disc_amount = $coupon_ids[2];
								} else if ($coupon_ids[1]=='percent') {
									$disc_amount = ($price*($coupon_ids[2]/100));
								} else {
								}
							}
						}
					}
					// end of keeperprancis

					// Initialise the user data
					if(class_exists('FOFModel'))
						$list = FOFModel::getTmpInstance('Users','AkeebasubsModel')
							->user_id($user_id)
							->getItemList();
					elseif(class_exists('F0FModel'))
						$list = F0FModel::getTmpInstance('Users','AkeebasubsModel')
							->user_id($user_id)
							->getItemList();
					else
						return false;

					if(!count($list)) {
						$id = 0;
					} else {
						$thisUser = array_pop($list);
						$id = $thisUser->akeebasubs_user_id;
					}

					//format user date from Hikashop
					$isbusiness = 0;
					if($fullOrder->billing_address->address_company != ''){
						$isbusiness = 1;
					}
					$country = '';
					$query = 'SELECT zone_code_2 FROM '.hikashop_table('zone').'
								WHERE zone_name = '.$db->quote($fullOrder->billing_address->address_country).'';
					$db->setQuery($query);
					$country = $db->loadResult();

					// Supply user data from the HikaShop order information
					$userData = array(
						'akeebasubs_user_id' => $id,
						'user_id' => $user_id,
						'isbusiness' => $isbusiness, // 1 if it's a business, 0 otherwise
						'businessname' => $fullOrder->billing_address->address_company, // Business name, e.g. 'AkeebaBackup.com'
						'occupation' => '', ##// Busienss occupation, e.g. 'IT Services'
						'vatnumber' => $fullOrder->billing_address->address_vat, // VAT number, WITHOUT the country prefix, e.g. 070298898
						'viesregistered' => 0, // Set to 1 if it is a VIES-registered business. It's safe to leave 0.
						'taxauthority' => '', // Leave blank; bot implemented
						'address1' => $fullOrder->billing_address->address_street, // Address, first line
						'address2' => '', // Address, second line
						'city' => $fullOrder->billing_address->address_city, // City
						'state' => '', ##// Two-letter state code, US and Canada only, e.g. 'CA' for California
						'zip' => $fullOrder->billing_address->address_post_code, // ZIP/Postal Code
						'country' => $country, // Two letter ISO country code, e.g. 'US' for the Unites States of America
						'params' => json_encode(array()) // Leave it as it is here
					);

					$timestamp = time();
					if(!$old){
						//New sub
						$jDate = new JDate();
						$jDown = new JDate( time() + (86400 * $level_duration * $result->order_product_quantity) );
						$publish_up = $jDate->toSql();
						$publish_down = $jDown->toSql();
					}
					else{
						//add sub after the old sub
						$jDate = new JDate(strtotime($old->publish_down));
						$jDown = new JDate(strtotime($old->publish_down) + (86400 * $level_duration * $result->order_product_quantity));
						$publish_up = $jDate->toSql();
						$publish_down = $jDown->toSql();
					}

					$grossAmount = round(($price - $disc_amount),2) + round((($price - $disc_amount) * $tax),2); //($result->order_product_price + $result->order_product_tax) * $result->order_product_quantity;
					$grossAmount2 = /*(*/$price;// + $result->order_product_tax) * $result->order_product_quantity;
					$taxPercent = 0;
					if(!empty($result->order_product_price) && hikashop_toFloat($result->order_product_price) != 0.0)
						$taxPercent = round($result->order_product_tax / $result->order_product_price * 100, 2);

					$jNow = new JDate();

					// Setup the subscription data
					$subscriptionData = array(
						'akeebasubs_subscription_id' => 0, // Must be present and 0
						'user_id' => $user_id,
						'akeebasubs_level_id' => $level_id, // foreign key to #__akeebasubs_levels, to the akeebasubs_level_id field
						'publish_up' => $publish_up, // Valid From date (when the subscription is activated, required)
						'publish_down' => $publish_down, // Valid To date (when the subscription is deactivated, required)
						'created_on' => $jNow->toSql(),
						'notes' => '', // Optional, leave empty
						'params' => '{}', // Optional, leave empty
						'enabled' => 0, // Required - SET TO 0 and let Akeeba Subscriptions handle the auto-activation
						'processor' => 'hikashop', // Required
						'processor_key' => md5(microtime() . $order->order_id), // Must be unique per subscription and processor. You can use the HikaShop order ID here
						'state' => 'C', // Required. C = Payment completed, P = Payment pending, N = Payment not processed, X = Cancelled payment
						// keeperprancis
						'akeebasubs_coupon_id' => $coupon_id,
						// end of keeperprancis
						'net_amount' => round(($price - $disc_amount),2), //$result->order_product_price * $result->order_product_quantity, // Paid amount, without taxes
						'tax_amount' => round((($price - $disc_amount) * $tax),2), //$result->order_product_tax * $result->order_product_quantity, // Paid tax amount
						'gross_amount' => $grossAmount, // net_amount + tax_amount, stored to speed up SUM operations
						'tax_percent' => $tax2, //$taxPercent, // Tax percentage, e.g. "19.5" for 19.5% tax. Used to avoid dangling floating point values if we did tax_amount/net_amount to determine it
						'affiliate_comission' => 0, // Leave 0
						'prediscount_amount' => $grossAmount2, // In your case, it's equal to gross_amount
						'discount_amount' => $disc_amount * $result->order_product_quantity, //0.00, // Leave 0
					);

					if(class_exists('FOFModel')){
						// Save the user record
						FOFModel::getTmpInstance('Users','AkeebasubsModel')
							->setId($id)
							->getItem()
							->save($userData);

						// Save the subscription
						$subscription = FOFModel::getTmpInstance('Subscriptions','AkeebasubsModel')
							->getTable();
					}elseif(class_exists('F0FModel')){
						// Save the user record
						F0FModel::getTmpInstance('Users','AkeebasubsModel')
							->setId($id)
							->getItem()
							->save($userData);

						// Save the subscription
						$subscription = F0FModel::getTmpInstance('Subscriptions','AkeebasubsModel')
							->getTable();
					}else{
						return false;
					}
					$subscription->reset();
					$subscription->akeebasubs_subscription_id = 0;
					//$subscription->_dontCheckPaymentID = true;
					$result = $subscription->save($subscriptionData);
				}
				else if($order->order_status == 'cancelled' && $old){
					$jUp = new JDate($old->publish_up);
					$jDown = new JDate($old->publish_down);
					$jDown = new JDate($jDown-(86400*$level_duration*$result->order_product_quantity));
					$publish_up = $jUp->toSql();
					$publish_down = $jDown->toSql();

					$query = 'UPDATE '.hikashop_table('akeebasubs_subscriptions', false).'
						SET enabled = 0, publish_down = '.$db->quote($publish_down).'
						WHERE akeebasubs_subscription_id = '.$old->akeebasubs_subscription_id.' LIMIT 1';
					$db->setQuery($query);
					$db->query();
				}
			}
		}
	}

	function onProductFormDisplay(& $product, & $html){
		jimport('joomla.filesystem.file');
		$path = JPATH_LIBRARIES.'/fof/include.php';
		if(JFile::exists($path) && !defined('FOF_INCLUDED'))
			require_once $path;
		else
			$path = JPATH_LIBRARIES.'/f0f/include.php';
		if(JFile::exists($path) && !defined('F0F_INCLUDED'))
			require_once $path;
		if(class_exists('FOFModel'))
			$levels = FOFModel::getTmpInstance('Levels','AkeebasubsModel')->getItemList();
		elseif(class_exists('F0FModel'))
			$levels = F0FModel::getTmpInstance('Levels','AkeebasubsModel')->getItemList();
		else
			return false;

		if(empty($product->product_subscription_id))$product->product_subscription_id = 0;
		$default_id = 0;
		foreach($levels as $level){
			if($level->akeebasubs_level_id == $product->product_subscription_id){
				$default_title = $level->title;
				$default_id = $level->akeebasubs_level_id;
			}
		}
		$pType = 'product';
		if($product->product_type == 'variant')
			$pType = 'variant';
		$content = '<dl class="hika_options"><dt class="key">'.JText::_( 'SUBSCRIPTION_LEVEL' ).'</dt><dd><select id="subsciption_levels" name="data['.$pType.'][product_subscription_id]">';
		if($product->product_subscription_id != 0){
			$content .= "<option value='".$default_id."'>".$default_title."</option>";
		}
		$content .=	'<option value="0">None</option>';
		foreach($levels as $level){
			if($level->akeebasubs_level_id != $default_id){
				$content .= "<option value='".$level->akeebasubs_level_id."'>".$level->title."</option>";
			}
		}
		$content .= '</select></dd></dl>';
		$html[] = $content;
	}

	function onUserAccountDisplay(& $buttons){
		global $Itemid;
		$url_itemid='';
		if(!empty($Itemid)){
			$url_itemid='&Itemid='.$Itemid;
		}
		$buttons[] = array('link'=>JRoute::_('index.php?option=com_akeebasubs&view=subscriptions'.$url_itemid),'level'=>0,'image'=>'subscription','text'=>JText::_('SUBSCRIPTIONS'),'description'=>'<ul><li>'.JText::_('VIEW_SUBSCRIPTIONS').'</li></ul>');
		return true;
	}

	function onCheckSubscription(&$subLevel,&$result){
		$db	= JFactory::getDBO();
		$query = 'SELECT * FROM '.hikashop_table('akeebasubs_levels',false).' WHERE akeebasubs_level_id IN ('.implode(',',$subLevel).')';
		$db->setQuery($query);
		$result = $db->loadObjectList();
		return true;
	}

	function onCheckSubscritpionPlugin(&$name){ return $this->onCheckSubscriptionPlugin($name); }
	function onCheckSubscriptionPlugin(&$name){
		$name = 'akeebasubs';
		return true;
	}
}
